drizzle-kit generate migration for pg is stuck at: Reading config file 'drizzle.config.ts'

Aalipowr4/1/2024
Hello, im using Deno 1.41.3. After executing deno run -A npm:drizzle-kit generate:pg cli just shows me drizzle-kit: v0.20.14 drizzle-orm: v0.29.5 No config path provided, using default 'drizzle.config.ts' Reading config file '/home/user/dev/project/drizzle.config.ts' with no errors, thats it, could you help me please? my drizzle.config.ts is
console.log("in drizzle config")
import type { Config } from 'npm:drizzle-kit';
import { PS_HOST, PS_USER, PS_PASS, PS_PORT, PS_DB } from "./db/db.ts";

export default {
schema: './db/schema.ts',
out: './drizzle',
driver: 'pg', // 'pg' | 'mysql2' | 'better-sqlite' | 'libsql' | 'turso'
dbCredentials: {
host: PS_HOST,
user: PS_USER,
password: PS_PASS,
port: PS_PORT,
database: PS_DB,
},
} satisfies Config;
console.log("in drizzle config")
import type { Config } from 'npm:drizzle-kit';
import { PS_HOST, PS_USER, PS_PASS, PS_PORT, PS_DB } from "./db/db.ts";

export default {
schema: './db/schema.ts',
out: './drizzle',
driver: 'pg', // 'pg' | 'mysql2' | 'better-sqlite' | 'libsql' | 'turso'
dbCredentials: {
host: PS_HOST,
user: PS_USER,
password: PS_PASS,
port: PS_PORT,
database: PS_DB,
},
} satisfies Config;
Aalipowr4/1/2024
ok, i found that its Deno issue https://github.com/denoland/deno/issues/19826
GitHub
npm compat: unable to use "npm:drizzle-kit" cli tool · Issue #19826...
Note Demo / reproduction repository: https://github.com/andrewbrey/deno_npm_compat_drizzle-orm When attempting to use the drizzle-orm (https://orm.drizzle.team) tool called drizzle-kit to generate ...

Looking for more? Join the community!